<label #appDurationLabel class="app-duration-label" (click)="durationPopover.instance.toggle(!durationPopover.visible)">Select Duration</label>

<dx-popover
        #durationPopover
        class="app-duration-popup"
        [target]="appDurationLabel"
        [width]="128"
        [height]="480"
        [shading]="false">
    <div *dxTemplate="let data of 'content'">
        <div class="list-item-wrapper" *ngFor="let dataItem of dateActions">
            <button (click)="performDateAction(dataItem)" [class.remove-border]="dataItem.id == 12"
                    class="date-action-list-item text-center">{{ dataItem.name }}</button>
        </div>
    </div>
</dx-popover>
